
%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif
%define MOD_PATH github.com/containernetworking
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com
%global golang_version      1.15

Name:           kubernetes-cni
Version:        0.8.1
Release:        2%{?dist}
BuildArch:      x86_64
Summary:        Container Network Interface - networking for Linux containers
License:        Apache-2.0
Vendor:         Oracle America
Group:          System/Management
Url:            https://github.com/containernetworking/cni
Source:         cni-%{version}.tar.bz2
Requires:       kubernetes-cni-plugins >= 0.9.1
# pinning kubernetes-cni to < 1.0.0 as flannel is removed from 1.0.0 onwards
Requires:	    kubernetes-cni-plugins < 1.0.0
BuildRequires:  golang >= %{golang_version}

%description
The CNI (Container Network Interface) project consists of a
specification and libraries for writing plugins to configure
network interfaces in Linux containers, along with a number of
supported plugins. CNI concerns itself only with network
connectivity of containers and removing allocated resources when
the container is deleted. Because of this focus, CNI has a wide
range of support and the specification is simple to implement.

This is the minimal CNI configuration for Kubernetes.

%prep
%setup -q -n cni-%{version}
mkdir -p bin
rm -rf bin/*
GOPATH=$(go env GOPATH)
mkdir -p $GOPATH/bin
mkdir -p $GOPATH/src/%{MOD_PATH}
ln -s `pwd` $GOPATH/src/%{MOD_PATH}/cni

%build
GOPATH=$(go env GOPATH)
pushd $GOPATH/src/%{MOD_PATH}/cni
go mod init
go build -o bin/ -v ./...

%install
install -m 755 -d %{buildroot}/opt/cni
mv bin/ %{buildroot}/opt/cni/

%files
%license LICENSE
/opt/cni

%changelog
* Mon Nov 15 2021 Thomas Tanaka <thomas.tanaka@oracle.com> - 0.8.1-2
- Bump release number

* Wed Feb 03 2021 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 0.8.1-1
- Added Oracle specific build files for Kubernetes CNI
